from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
import time

chrome_path = r'/usr/local/bin/chromedriver' #path from 'which chromedriver'
driver = webdriver.Chrome(executable_path=chrome_path)
driver.get('https://www.loungelovers.com.au/')
wait = WebDriverWait(driver, 30)
element = wait.until(EC.element_to_be_clickable((By.XPATH, "//a[@href='/sofas']//img")))
element.click()
element1 = wait.until(EC.element_to_be_clickable((By.XPATH, "//div[@class='image product_image_392']")))
element1.click()
addcart = wait.until(EC.element_to_be_clickable((By.XPATH, "//button[@id='product-addtocart-button']")))
time.sleep(2)
addcart.click()
time.sleep(5)
driver.find_element_by_xpath("//a[@class='action primary checkout']").click()
buttoncheck = wait.until(EC.element_to_be_clickable((By.XPATH, "//button[@title='Check out']")))
buttoncheck.click()
time.sleep(2)
email = driver.find_element_by_name("username")
email.send_keys("qatest@gmail.com")
time.sleep(2)
firstName = driver.find_element_by_name("firstname")
firstName.send_keys("Tester")
lastName = driver.find_element_by_name("lastname")
lastName.send_keys("Testere")
findAdress = driver.find_element_by_name("find_address")
findAdress.send_keys("Testere")
unit = driver.find_element_by_name("unit_no")
unit.send_keys("12345")
street = driver.find_element_by_name("street[0]")
street.send_keys("Testere")
suburb = driver.find_element_by_name("city")
suburb.send_keys("Testere")
region = wait.until(EC.element_to_be_clickable((By.NAME, "region_id")))
region.click()
value = wait.until(EC.element_to_be_clickable((By.XPATH, "//option[@value='534']")))
value.click()
zipcode = driver.find_element_by_name("postcode")
zipcode.send_keys("1234")
phone = driver.find_element_by_name("telephone")
phone.send_keys("380997795635")
driver.find_element_by_xpath("//button[@class='setShippingInformation button action continue primary']//span//span[contains(text(),'Proceed to Payment')]")
print("Button is appeared succesfully")
print("PASS")
driver.quit()
